EDIT - feature request #9209

name page, registration page: show annotations for names and fieldunits
09/01/2020 01:50 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

Beispiel: Etymology & Editorial Note zum korrigierten Namen Entomoneis annagodhei:

e hitps://www.phycobank.org/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F 102503
¢ https://www.phycobank.org/cdm_dataportal/name/f5d3a626-837d-421a-9bb1-393cc24938a0/null/null/

Beispiel: Editorial note zur FieldUnit des Typus von Paludistella asymmetrica :

e https://www.phycobank.org/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F 102121
¢ https://www.phycobank.org/cdm_dataportal/name/8ffc8735-c693-4462-9329-tb09aa4b214e/null/null/

Related issues:
Related to EDIT - bug #9235: Footnote key for multiple cdm entities need to b... Closed

Associated revisions

Revision 7e3f68ec - 09/25/2020 04:48 PM - Andreas Kohlbecker

ref #9209 renabling previously comitted fix for missing name and taxon annotation and source footnotes

Revision dc342fe0 - 09/28/2020 12:01 PM - Andreas Kohlbecker

ref #9209 fixing footnote order in registration page and adapting tests to latest changes

Revision 9b3f8ce8 - 09/28/2020 05:25 PM - Andreas Kohlbecker

ref #9209 intoducing default configuration for annotation_and_sources & preliminar solution for joining footnotes with separator

Revision fde23118 - 09/28/2020 05:58 PM - Andreas Kohlbecker

ref #9209 removing obsoltete calls to decomissioned function render_taxon_and_name_footnotes()

Revision cd09cee6 - 09/29/2020 02:58 PM - Andreas Kohlbecker

ref #9209 removing last references to decomissioned function render_taxon_and_name_footnotes()

e render_taxon_or_name() : replacing by
e compose_list_of_taxa() : refactoring duplicate code & using to suppress the secRef for synonmys

Revision 890f6¢c24 - 09/29/2020 05:50 PM - Andreas Kohlbecker

ref #9209 separating footnote keys with comma - preliminary solution

Revision 1b6afb58 - 09/29/2020 05:54 PM - Andreas Kohlbecker

ref #9209 adapting to test cases to new test data with more name annotations and to the code which shows more annotations

History

#1 - 09/01/2020 01:50 PM - Andreas Kohlbecker

- Description updated

#2 - 09/25/2020 12:55 PM - Andreas Kohlbecker
- Subject changed from show annotations for taxa and names to name page, registration page: show annotations for names and fieldunits

- Description updated

04/23/2024 1/2



https://www.phycobank.org/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F102503
https://www.phycobank.org/cdm_dataportal/name/f5d3a626-837d-421a-9bb1-393cc24938a0/null/null/
https://www.phycobank.org/cdm_dataportal/registration/http%253A%252F%252Fphycobank.org%252F102121
#3 - 09/29/2020 03:29 PM - Andreas Kohlbecker
- % Done changed from 0 to 30

Editorial note on the FieldUnit of the Holotype for Paludistella asymmetrica is already shown in the registration as well as in the name page.

#4 - 09/29/2020 04:49 PM - Andreas Kohlbecker
- Related to bug #9235: Footnote key for multiple cdm entities need to be rendered together added

#5 - 09/29/2020 04:51 PM - Andreas Kohlbecker

- % Done changed from 30 to 50

This is in principle solved but there are now potential layout problems due to the problem described in #9235.
We only can close this ticket once #9235 is solved.

#6 - 10/01/2020 05:49 PM - Andreas Kohlbecker

- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Hi Henning,

please review on the test server:

http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/registration?identifier=http%3A//phycobank.org/102121

#7 - 10/01/2020 06:18 PM - Wolf-Henning Kusber

- Status changed from Resolved to Feedback

- % Done changed from 50 to 90

The annotations looks good, and the indicees are placed correctly. Some cache issues in references are remaining, but this is not addressed here.

Question: We have an annotation type "Etymology" and | want to see for all entries 'Etymology:[blank] entered text.'
Should | type in "Etymology: " in each annotation or can this be put in automatically (for this anntotation type only)?

If this last issue is discussed, the ticket can be closed and released in the production data portal.

#8 - 10/01/2020 06:19 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

#9 - 10/06/2020 11:27 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

please enter "Etymology: " as prefix to the annotation text.

#10 - 10/06/2020 02:42 PM - Wolf-Henning Kusber
Example: http:/phycobank.org/102598
